Subject: bug#10600: 24.0.92; `describe-char': text properties and [Show]

From: Juanma Barranquero <[email-masked]>
Date: Fri, 27 Jan 2012 21:28:48 +0100

On Fri, Jan 27, 2012 at 17:15, Drew Adams <[email-masked]> wrote:

> The current window for that calculation does not correspond to *Help* at all.
> It is wrong to assume that *Help* will be displayed in a window having the same
> width as the window where the help command is invoked.

Yes.

> It's simply misguided to base the assumed *Help* window width on the width of
> any existing window.

I disagree. I think it makes  sense to base it on the width of the
window used to display it. In cases like this one, it should be
possible to display the (empty) buffer, then generate its output.

> We already go to the trouble of
> wrapping help text at such a limit.

By hand, you mean? Because if you define a function with a docstring
100 chars long, and do M-x describe-function my-test-func <RET>,
there's no wrap at all.

    Juanma